.imageCarousel {
  position: relative;
  padding: 0 $global-padding-mobile;
  margin-bottom: 2rem;

  &.imageCarousel--mini {
    @include breakpoint($large) {
      max-width: $article-width-inner;
      margin: 0 auto 4rem;
      padding: 0 $global-padding-desktop;
    }
  }

  &.imageCarousel--full {
    @include breakpoint($large) {
      max-width: $article-width-outer;
      margin: 0 auto 3rem;
      padding: 0 $global-padding-desktop;
    }
  }

  .carousel {
    display: flex;
    flex-wrap: wrap;
    align-items: center;

    .slider-wrapper {
      order: 1;
      flex: 0 0 100%;

      @include breakpoint($large) {
        margin-bottom: 1.5rem;
      }
    }

    .control-prev {
      position: absolute;
      left: 1rem;
      top: auto;
      bottom: 1rem;
      flex: 0 1 auto;
      margin: 0 1rem 0 auto;
      width: 20px;
      height: 28px;
      background-image: url("./images/mobile_imageGallery_arrowLeft.png");
      background-size: cover;

      @include breakpoint($large) {
        order: 2;
        position: relative;
        top: auto;
        bottom: auto;
        left: auto;
        width: 10px;
        height: 19px;
        background-image: url("./images/icon-arrow.png");
        transform: rotate(-180deg);
      }

      &:before {
      }
    }

    .control-dots {
      order: 3;
      position: relative;
      flex: 0 1 auto;
      width: auto;
      margin: 0;
      display: none;

      @include breakpoint($large) {
        display: flex;
      }

      .dot {
        background-color: #d2d9dc;
        box-shadow: none;

        &.selected {
          background: $color-grass;
        }
      }
    }

    .control-next {
      position: absolute;
      left: auto;
      right: 1rem;
      bottom: 1rem;
      top: auto;
      order: 4;
      flex: 0 1 auto;
      margin: 0 0 0 1rem;

      width: 20px;
      height: 28px;
      background-image: url("./images/mobile_imageGallery_arrow.png");
      background-size: cover;

      @include breakpoint($large) {
        order: 4;
        position: relative;
        top: auto;
        bottom: auto;
        width: 10px;
        right: 0;
        height: 19px;
        background-image: url("./images/icon-arrow.png");
      }
    }

    .slide {
      background: none;
    }
  }

  .legend {
    position: relative;
    margin: 0.4rem 0 0;
    padding-left: 1rem;

    @include breakpoint($large) {
      top: -34px;
      max-width: 50%;
      margin: 0;
    }

    &:before {
      content: "";
      display: block;
      position: absolute;
      top: 0.3rem;
      left: 0;
      width: 3px;
      height: 16px;
      background: $color-accessibleGreen;
    }
  }
}
